Skip to main content
GET
/
connectors
List connectors
curl --request GET \
  --url https://api.zeam.app/v1/connectors \
  --header 'Authorization: Bearer <token>' \
  --header 'x-zeam-auth: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "acceptedAsset": "<string>",
      "destinationAsset": "<string>",
      "direction": "OFF_RAMP",
      "method": "MOBILE_MONEY",
      "status": "ACTIVE",
      "requiresQuote": true,
      "isActive": true,
      "methodProvider": {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "imageUrl": "<string>"
      },
      "fees": [
        {
          "fixedFeeCcy": "<string>",
          "fixedFeeAmount": 123,
          "variableFeeCurrency": "<string>",
          "variableFeeAmount": 123,
          "minFeeCurrency": "<string>",
          "minFeeAmount": 123,
          "maxFeeCurrency": "<string>",
          "maxFeeAmount": 123,
          "feeDeductedFromPayout": true,
          "tier": "<string>"
        }
      ],
      "limits": [
        {
          "id": "<string>",
          "scope": "<string>",
          "type": "<string>",
          "duration": 123,
          "minValue": 123,
          "maxValue": 123,
          "currency": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token issued by POST /v1/auth/token.

x-zeam-auth
string
header
required

Application secret (Kong apiKey) issued at registration.

Query Parameters

country
string
required

ISO alpha-2 country code (uppercase).

Pattern: ^[A-Z0-9_]+$
Example:

"ZW"

method
string
required

Payment method enum (uppercase).

Pattern: ^[A-Z0-9_]+$
Example:

"MOBILE_MONEY"

direction
enum<string>
required

Corridor direction.

Available options:
ON_RAMP,
OFF_RAMP
Example:

"OFF_RAMP"

Response

A page of connectors.

data
object[]
required
pagination
object
required